/*
  Styles required by the template and not covered by the themes.
*/

/*@import url(../common/common.css);*/
@import url(stylesheets/bootstrap.css);

.fullwidthAndHeight {
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
}

/* hack for second layer (roads, rivers) */
div.layersDiv div:first-child + div {
  opacity: 0.4;
  filter: alpha(opacity=40); /* For IE8 and earlier */
}

* {
  box-sizing: content-box;
}

.ctWindow {
  font-size: 11px;
}

.ec-odp-default .dijitTooltipContainer {
  font-size: 11px;
}

.ec_header .ec_header_row {
  height: 87px;
}

.ec_header .ec_header_row div {
  overflow: hidden;
}

.ec_header .ec_header_row_mobile {
  height: 50px;
}

.ec_header .ec_header_row_mobile .navbar-btn {
  margin: 0;
}

@media screen {
  .ec_map_loading {
    width: 100%;
    text-align: center;
  }

  .ec_ajax_loader {
    width: 128px;
    height: 128px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 50px;
    margin-bottom: 50px;
    background: url("images/loader.gif") center top;
  }
}
@media (max-width: 400px) {
  .navbar-brand {
    display: none;
  }
}

.navbar-header .logo {
  background: url(images/edplogo.png) no-repeat;
  background-color: #fff;
  width: 70px;
  height: 70px;
  position: absolute;
  top: 5px;
  left: 5px;
}

.navbar-header .logo_mobile {
	background: url(images/edplogo.png) no-repeat;
	background-color: #fff;
	width: 70px;
	height: 70px
}

.navbar-header .ec_logo_container {
  margin: 2px;
}

a.navbar-brand {
  color: #396ea2;
  margin-top: 20px;
}

.navbar-brand {
	padding: 20px 60px;
	font-size: 18px;
	line-height: 50px;
	height: 50px;
	display: inline-block;
	width: 640px
}

.navbar-brand h3 {
  margin: 0;
  padding: 0;
	color: #0065a2;
	text-transform: uppercase;
	font-size: 24px !important;
	font-weight: normal !important
}

.navbar-brand a {
	color: red;
	text-decoration: none
}

.navbar-brand div {
  font-size: 0.8em;
}

a.navbar-brand_mobile {
  color: #396ea2;
  margin-top: 10px;
}

.navbar-brand_mobile h3 {
  margin: 3px;
  padding-top: 20px;
  font-weight: bold;
  font-size: 14px;
}

nav.navbar {
  float: left;
}

.ec_header {
  width: 100%;
}

.ec-maptitle-wrapper {
  margin-left: 5px;
  float: left;
}

.ec-maptitle-wrapper div {
  font-size: 16px;
  border-left: 1px solid;
  border-color: #396ea2;
  padding-left: 15px;
  padding-top: 19px;
  padding-bottom: 10px;
  overflow: hidden;
  color: #396ea2;
}

#services {
  z-index: 18;
  padding-right: 140px;
}

#services li {
  margin-top: 10px;
  font-size: 12px;
}

#services li a,
#services li a:visited,
#services li a:hover,
#services li a:active,
#services li a:focus {
  color: #396ea2;
}

#services a:focus,
#services a:hover,
#services a:active {
  border: 0 none;
  text-decoration: underline;
}

.ec-odp-default .languageToggler .dijitButtonNode,
.ec-odp-default .languageToggler .ctShrinkingDropDown .dijitButtonText {
  color: #396ea2;
}

@media (max-width: 768px) {
  #services {
    display: none;
  }
}

@media (max-width: 990px) {
  .ec-maptitle-wrapper {
    display: none;
  }
}

.layout {
  color: #000;
  background-color: #fff;
  /* font-family: Verdana, Arial, Helvetica, "DejaVu Sans", sans-serif;*/
  line-height: 1.5;
  min-width: 200px;
  max-width: none;
  margin: 0 auto;
  font-size: 120%;
  position: relative;
  border: none;
}

/*-------------------------1
    Header  Classes
-------------------------*/
.ctTpl_ec-odp-template .header {
  /* ensure logo text not wrapped*/
  white-space: nowrap;
  overflow: visible;
  z-index: 5;
}

.container {
  border: none;
}

.header * {
  box-sizing: border-box;
}

/*-------------------------
    Footer Classes
-------------------------*/

.ctTpl_ec-odp-template .footer.dijitContentPane {
  bottom: 0;
  left: 0;
  height: 30px; /*<<-- causes vertical scrolling in footer*/
  padding: 0;
  /* ensure that copyright and coordinates never wrapped */
  white-space: nowrap;
  overflow-y: hidden;
}
.ctTpl_ec-odp-template .footer {
  border: none;
}

.ctTpl_ec-odp-template .footer > table,
.ctTpl_ec-odp-template .sidebar > table {
  width: 100%;
  height: 100%;
  border-spacing: 0;
  padding: 0;
}
.ctTpl_ec-odp-template .footer > table td,
.ctTpl_ec-odp-template .sidebar > table td {
  border-spacing: 0;
  padding: 0;
}
.ctTpl_ec-odp-template .footer .dockingBarBottomLeft {
  display: inline-block;
  vertical-align: top;
  position: relative;
}

.ctTpl_ec-odp-template .footer .dockingBarBottomRight {
  display: inline-block;
  vertical-align: top;
  /*right: 0;*/
  bottom: 0;
  position: absolute;
}

.ctTpl_ec-odp-template .ctFollowMe .dijitTabPaneWrapper {
  border-bottom-width: 0;
}

.ctTpl_ec-odp-template .footer .coordinateInfo {
  display: inline-block;
}

/*-------------------------
    Map Classes
-------------------------*/

.ctTpl_ec-odp-template .mainMap > .dijitContentPane {
  /* make map fullsize */
  padding: 0;
}
.ctTpl_ec-odp-template .mainMap {
  /*ensure that windows are kept inside map*/
  overflow: hidden;
}

.ctTpl_ec-odp-template .esriControlsBR {
  /*   position: absolute;
    left: 5px;
    bottom: 5px;
    z-index: 1;*/
  display: none;
}
.ctTpl_ec-odp-template .esriAttribution {
  font-size: 10px;
  text-align: left;
  position: absolute;
  left: 0;
  top: -15px;
}
.ctTpl_ec-odp-template .logo-med {
  bottom: 5px;
  right: 0px;
  cursor: pointer;
  position: absolute;
  height: 36px;
  width: 65px;
}
.ctTpl_ec-odp-template .legalDisclaimerButton {
  bottom: 5px;
  right: 5px;
  cursor: pointer;
  position: absolute;
}

.ctTpl_ec-odp-template .map .dijitMenu {
  /*ensure, that esri logo does not block any tool menues*/
  z-index: 2;
}
.ctTpl_ec-odp-template .bookmarksViewer {
  position: absolute;
  top: 100px;
  left: 25px;
}
/*-------------------------
    Zoom Slider Classes
    Zoom Slider position is selected via esriMapOpts in app.json
-------------------------*/
.ctTpl_ec-odp-template .esriLargeSliderTR,
.ctTpl_ec-odp-template .esriSimpleSliderTR {
  top: 50px;
  right: 20px;
}

@media (max-width: 600px) {
  .ctTpl_ec-odp-template .esriLargeSliderTR,
  .ctTpl_ec-odp-template .esriSimpleSliderTR {
    top: 20px;
    right: 10px;
  }
}
/*-------------------------
    Button Classes
-------------------------*/

.ctTpl_ec-odp-template .templateButtons {
  overflow: hidden;
  position: absolute;
  right: 0;
  top: 0;
}

.ctTpl_ec-odp-template .dijitContainer.header .templateButtons {
  overflow: visible;
  right: 0 !important;
  left: auto !important;
}

.ctTpl_ec-odp-template .dijitContainer.header .templateButtons > div {
  text-align: right;
  display: table;
}

.ctTpl_ec-odp-template .dijitContentPane.templateButtons {
  padding: 0;
  z-index: 3;
}

/*-------------------------
    Locate Me Classes
-------------------------*/
.ctTpl_ec-odp-template .mapview_tools {
  z-index: 100;
  bottom: 10px;
  right: 20px;
}
/*-------------------------
    Button Base Map Toggler Classes
-------------------------*/
.ctTpl_ec-odp-template .buttonBasemapToggler {
  position: absolute;
  z-index: 100;
  right: 10px;
  top: 5px;
}

/*-------------------------
    Tooldropdown Classes
-------------------------*/
.ctTpl_ec-odp-template .ctWDYWBtn.dijitDropDownButton {
  width: 289px;
}

/*-------------------------
    MapLoadingInfo  Classes
-------------------------*/

.ctTpl_ec-odp-template .mapLoadingInfo {
  position: absolute;
  left: 5px;
  top: 5px;
}
.ctTpl_ec-odp-template .ctMapLoadingInfo {
  width: 15px;
  height: 15px;
}

/*-------------------------
    OverviewMap  Classes
-------------------------*/

.ctTpl_ec-odp-template .overviewMap {
  overflow: visible;
}

/*-------------------------
    Scalebar  Classes
-------------------------*/

.ctTpl_ec-odp-template .footer .infoBar {
  display: inline-block;
  margin: 0 auto;
  position: relative;
  top: -5px;
}

.ctTpl_ec-odp-template .scaleBar {
  display: inline-block;
  vertical-align: bottom;
  height: 33px;
}

.ctTpl_ec-odp-template .scaleBar .esriScalebar {
  position: relative;
  top: 12px;
  height: auto; /*to make sure scalebar resizes if a second unit scalebar is added*/
  width: 150px; /*needed to overwrite width:0; from JS API*/
  left: 0 !important;
}

/*-------------------------
    TableOfContents.css  Classes
-------------------------*/

.ctTpl_ec-odp-template .toc {
  position: absolute;
  top: 30px;
  left: 10px;
  z-index: 20;
}

/*-------------------------
    SAMPLE - Defines the layouting structure of the ExtentWriter UI
        Note that the attach-point itself is defined in ec-odp-template.html 
-------------------------*/
.ctTpl_ec-odp-template .extentWriter {
  display: inline-block;
  position: absolute;
  top: 10px;
  left: 10px;
  vertical-align: bottom;
}